For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
              • GETList Countries
              • GETGet Country
              • GETGet Count of Countries
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementGeographyCountries

Get Country

GET
https://api.bigcommerce.com/stores/:store_hash/v2/countries/:id
GET
/stores/:store_hash/v2/countries/:id
$curl https://api.bigcommerce.com/stores/store_hash/v2/countries/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200response
1{
2 "country": "Afghanistan",
3 "country_iso2": "AF",
4 "country_iso3": "AFG",
5 "id": 1,
6 "states": {
7 "url": "https://api.bigcommerce.com/stores/h10wocxy6s/v2/countries/1/states",
8 "resource": "/countries/1/states"
9 }
10}

Returns a single Country. Gets a country. A country or territory, identifiable by an ISO 3166 country code.

Was this page helpful?
Previous

List Countries

Next

Get Count of Countries

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

idintegerRequired
The ID of the country.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

Response

countrystring
Country name.
country_iso2string

2-letter country code.

country_iso3string

3-letter country code.

idinteger
Id of the country.
statesobject

Refers to the states object return in GET countries requests.